<html>
<body>
<h1> Topo-geometric detour router </h1>

<h2> ToC </h2>

<ul>
	<li> 1. <a href="1_intro.html">Introduction</a>
	<li> 2. <a href="2_topo.html">Detour search</a> (the topological aspect)
	<li> 3. <a href="3_hull.html">Convex hull path</a> (geometric aspect)
	<li> 4. <a href="4_appendix.html">Appendix</a>
</ul>
